C-{{{ subroutine bbhweights

	subroutine bbhweights(modin,alpha,tb,deltamb,deltaAb
     &  ,weA,weLH,weHH)
!--------------------------------------------------------
!This routine gives the weights between SM and MSSM
!cross sections for bbh in accordance to hep-ph/0305101
!(Guasch, Haefliger, Spira), formula 23.
!February 2012 - S. Liebler
!--------------------------------------------------------
	implicit none
        double precision weA(2), weLH(2), weHH(2)
	double precision deltamb, deltaAb, alpha, tb
        double precision delmb_in
        integer i1, modin
      
        delmb_in = deltamb
        !delmb_in = delmb_in / (1.d0 + deltaAb)

        if (modin.eq.2) then
        delmb_in = 1.D0
        end if

        !pseudoscalar
        weA(1) = tb
        weA(2) = weA(1) 
     &  * (1.d0 - (1.d0/tb**2)*delmb_in)
     &  * (1.d0/(1.d0+delmb_in))

        !light Higgs
        weLH(1) = -Sin(alpha)/Cos(Atan(tb))
        weLH(2) = weLH(1)
     &  * (1.d0 - (1.d0/(tb*Tan(alpha)))*delmb_in)
     &  * (1.d0/(1.d0+delmb_in))

        !heavy Higgs
        weHH(1) = Cos(alpha)/Cos(Atan(tb)) 
        weHH(2) = weHH(1)
     &  * (1.d0 + (Tan(alpha)/tb)*delmb_in)
     &  * (1.d0/(1.d0+delmb_in))

	do i1=1,2
	weA(i1) = weA(i1) * weA(i1)
	weLH(i1) = weLH(i1) * weLH(i1)
	weHH(i1) = weHH(i1) * weHH(i1)
	end do

	end

C-}}}
