C-{{{ pdfinit
      subroutine SUinitpdf(pdfnamein,isetin)
      implicit none
      double precision x,upv,dnv,usea,dsea,
     &str,sbar,chm,cbar,bot,bbar,glu
      double precision alphasPDF
      character pdfnamein*50
      integer isetin
      real*8 xdum,qdum,dum1,dum2,dum3,dum4,dum5,dum6,dum7,dum8

      include '../commons/common-consts.f'
      include '../commons/common-int.f'
      include '../commons/common-vars.f'

      call InitPDFsetByName(pdfnamein)
      call InitPDF(isetin)

      !just to initialize the value of alphas
      call GetPdfs(x,upv,dnv,usea,dsea,
     &str,sbar,chm,cbar,bot,bbar,glu)

      alphamuR = alphasPDF(muR)
      apimz = alphasPDF(mz)/Pi

!      write(*,*) 'alpha_s(m_z): ', alphasPDF(mz)
!      write(*,*) "alphas(muR) = ",alphamuR
!      write(*,*) "alphas(mZ)/Pi = ",apimz

      end
C-}}}
C-{{{ GetPDFs
      subroutine GetPDFs(x,upv,dnv,usea,dsea,
     &str,sbar,chm,cbar,bot,bbar,glu)
      implicit none
      double precision x,upv,dnv,usea,dsea,
     &str,sbar,chm,cbar,bot,bbar,glu,f(-6:6)

      include '../commons/common-int.f'

      call evolvePDF(x,muF,f)
      upv = f(2)
      dnv = f(1)
      usea = f(-2)
      dsea = f(-1)
      str = f(3)
      sbar = f(-3)
      chm = f(4)
      cbar = f(-4)
      bot = f(5)
      bbar = f(-5)
      glu = f(0)
      end
C-}}}
C-{{{ checkorder
      subroutine checkorder(order)
      implicit none
      integer order,orderpdf
      call GetOrderPDF(orderpdf)
      !if(order.lt.2) then
         if(orderpdf.ne.order) then
            write(*,105) 
            write(*,*) "Warning: wrong order pdf.",orderpdf,order
            write(*,105) 
         endif
      !elseif(orderpdf.ne.1) then
      !      write(*,105) 
      !      write(*,*) 'warning: wrong order pdf. '
      !      write(*,105) 
      !endif

 105  format('#--------------------------------------------------#')

      end
C-}}}

      subroutine pdfsbbhdiff(xx,rmuf,up,ubar,dn,dbar,str,sbar,
     &     chm,cbar,bot,bbar,glu)
      !needed by bbhdiff routines
      implicit real*8 (a-z)
      real*8 ff(-6:6)
      integer neigen,alphasorder,alphasnfmax,nset
      parameter(neigen=20)      ! number of eigenvectors
      double precision dn,dbar,up,ubar,str,sbar,
     &     chm,cbar,bot,bbar,glu,phot,distance,tolerance,
     &     mcharm,mbottom,alphasq0,alphasmz
      character prefix*80
      include '../commons/common-bbhdiff-pdfvals.f'
      include '../commons/common-bbhdiff-order.f'

      xxl = xx
      rmufl = rmuf
      nset = bbhdifforder+1
c..   this is the LHAPDF subroutine to evaluate the pdfs:
!      call evolvepdfm(nset,xxl,rmufl,ff)
      call evolvepdf(xxl,rmufl,ff)

      dn = ff(1)/xx
      dbar = ff(-1)/xx
      up = ff(2)/xx
      ubar = ff(-2)/xx
      str = ff(3)/xx
      sbar = ff(-3)/xx
      chm = ff(4)/xx
      cbar = ff(-4)/xx
      bot = ff(5)/xx
      bbar = ff(-5)/xx
      glu = ff(0)/xx

      end


C-{{{ function pdfs(xx,rmuf):

      subroutine pdfs(xx,rmuf,upv,dnv,usea,dsea,str,
     &     chm,bot,glu)
      !needed by ggh@nnlo and bbh@nnlo routines
      implicit real*8 (a-z)
      real*8 ff(-6:6)
      integer iset,neigen,alphasorder,alphasnfmax
      parameter(neigen=20)      ! number of eigenvectors
      double precision up,dn,upv,dnv,usea,dsea,str,sbar,
     &     chm,cbar,bot,bbar,glu,phot,distance,tolerance,
     &     mcharm,mbottom,alphasq0,alphasmz
      character prefix*80
      common/mylhapdf/iset,prefix

      xxl = xx
      rmufl = rmuf

      call evolvepdf(xxl,rmufl,ff)

      up = ff(1)/xx
      usea = ff(-1)/xx
      dn = ff(2)/xx
      dsea = ff(-2)/xx
      str = ff(3)/xx
      chm = ff(4)/xx
      bot = ff(5)/xx
      glu = ff(0)/xx

      upv = up-usea
      dnv = dn-dsea

      end

C-}}}
